/* 

	School to Work and Socioeconomic Status (STOWSES) Project
	F tests
	Colete Salemi, Caroline Krafft
	v5
	Updated 2022.03.11
	CK

	
	Notes: 	.do file contains margins estimates from multinomial logit, then tests whether the differences in the margins estimates are changing over time. 
	*/
	

/****************************************************************************************************************************************************************
	
	EGYPT, MALES
	
****************************************************************************************************************************************************************/

use "LMPS SToWSES clean v1.dta", clear

mlogit worktaxon b4.taxonomy_tot##b1.generation if sex==1 & country==818 [aw=expan_indiv] , rrr base(4) 
est store mene

matrix EM=J(2,5,.)

forval i=1(1)5 {

estimates restore mene
margins, over(generation) predict(outcome(`i')) post coefleg at(taxonomy_tot=3 taxonomy_tot=4)

**HIGH ED HIGH SES-HIGH ED LOW SES Middle/Youngest>[same] oldest
test _b[2._at#3.generation] - _b[1bn._at#3.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix EM[1,`i']=r(p)
test _b[2._at#2.generation] - _b[1bn._at#2.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix EM[2,`i']=r(p)

}

matrix rownames EM	= "Y v O" "M v O" 			
										
matrix colnames EM = "Family business" "Private informal" "Private formal" 	"Public" "Not yet worked"			
			
			
/****************************************************************************************************************************************************************
	
	JORDAN, MALES
	
****************************************************************************************************************************************************************/

matrix JM=J(2,5,.)

mlogit worktaxon b4.taxonomy_tot##b1.generation if sex==1 & country==400 [aw=expan_indiv] , rrr base(4)
est store menj

forval i=1(1)5 {

estimates restore menj
margins, over(generation) predict(outcome(`i')) post coefleg at(taxonomy_tot=3 taxonomy_tot=4)

**HIGH ED HIGH SES-HIGH ED LOW SES Middle/Youngest>[same] oldest
test _b[2._at#3.generation] - _b[1bn._at#3.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix JM[1,`i']=r(p)
test _b[2._at#2.generation] - _b[1bn._at#2.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix JM[2,`i']=r(p)

}


matrix rownames JM	= "Y v O" "M v O" 		
								
										
matrix colnames JM = "Family business" "Private informal" "Private formal" 	"Public" "Not yet worked"			
			
			
		
/****************************************************************************************************************************************************************
	
	TUNISIA, MALES
	
****************************************************************************************************************************************************************/

matrix TM=J(2,5,.)

mlogit worktaxon b4.taxonomy_tot##b1.generation if sex==1 & country==788 [aw=expan_indiv] , rrr base(4)
est store ment

forval i=1(1)5 {

estimates restore ment
margins, over(generation) predict(outcome(`i')) post coefleg at(taxonomy_tot=3 taxonomy_tot=4)

**HIGH ED HIGH SES-HIGH ED LOW SES Middle/Youngest>[same] oldest
test _b[2._at#3.generation] - _b[1bn._at#3.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix TM[1,`i']=r(p)
test _b[2._at#2.generation] - _b[1bn._at#2.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix TM[2,`i']=r(p)

}

matrix rownames TM	=  "Y v O" "M v O" 	
								
										
matrix colnames TM = "Family business" "Private informal" "Private formal" 	"Public" "Not yet worked"			

/****************************************************************************************************************************************************************
	
	EGYPT, FEMALES
	
****************************************************************************************************************************************************************/

mlogit worktaxonf b4.taxonomy_tot##b1.generation if sex==2 & country==818 [aw=expan_indiv] , rrr base(3)
est store womene

matrix EF=J(2,3,.)


forval i=1(1)3 {

estimates restore womene
margins, over(generation) predict(outcome(`i')) post coefleg at(taxonomy_tot=3 taxonomy_tot=4)

**HIGH ED HIGH SES-HIGH ED LOW SES Middle/Youngest>[same] oldest
test _b[2._at#3.generation] - _b[1bn._at#3.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix EF[1,`i']=r(p)
test _b[2._at#2.generation] - _b[1bn._at#2.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix EF[2,`i']=r(p)

}

matrix rownames EF	=  "Y v O" "M v O" 	
								
								
										
matrix colnames EF = "Private Sector" "Public Sector" "Not yet worked"			
			
	
	
/****************************************************************************************************************************************************************
	
	JORDAN, FEMALES
	
****************************************************************************************************************************************************************/
mlogit worktaxonf b4.taxonomy_tot##b1.generation if sex==2 & country==400 [aw=expan_indiv] , rrr base(3)
est store womenj

matrix JF=J(2,3,.)


forval i=1(1)3 {

estimates restore womenj
margins, over(generation) predict(outcome(`i')) post coefleg at(taxonomy_tot=3 taxonomy_tot=4)

**HIGH ED HIGH SES-HIGH ED LOW SES Middle/Youngest>[same] oldest
test _b[2._at#3.generation] - _b[1bn._at#3.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix JF[1,`i']=r(p)
test _b[2._at#2.generation] - _b[1bn._at#2.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix JF[2,`i']=r(p)

}

matrix rownames JF	=  "Y v O" "M v O" 	
										
matrix colnames JF = "Private Sector" "Public Sector" "Not yet worked"			
			
		
/****************************************************************************************************************************************************************
	
	TUNISIA, FEMALES
	
****************************************************************************************************************************************************************/

matrix TF=J(2,3,.)

mlogit worktaxonf b4.taxonomy_tot##b1.generation if sex==2 & country==788 [aw=expan_indiv] , rrr base(3)
est store woment



forval i=1(1)3 {

estimates restore woment
margins, over(generation) predict(outcome(`i')) post coefleg at(taxonomy_tot=3 taxonomy_tot=4)

**HIGH ED HIGH SES-HIGH ED LOW SES Middle/Youngest>[same] oldest
test _b[2._at#3.generation] - _b[1bn._at#3.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix TF[1,`i']=r(p)
test _b[2._at#2.generation] - _b[1bn._at#2.generation] = _b[2._at#1bn.generation] - _b[1bn._at#1bn.generation]
matrix TF[2,`i']=r(p)

}

matrix rownames TF	=  "Y v O" "M v O" 	
										
matrix colnames TF = "Private Sector" "Public Sector" "Not yet worked"			
			
*Table A4, A5: F-tests			
			

putexcel set "Graphs/SToWSESFtest.xlsx", sheet("Egypt Males") modify
putexcel A1=matrix(EM) , names nformat(number_d5)

putexcel set "Graphs/SToWSESFtest.xlsx", sheet("Jordan Males") modify
putexcel A1=matrix(JM) , names nformat(number_d5)

putexcel set "Graphs/SToWSESFtest.xlsx", sheet("Tunisian Males") modify
putexcel A1=matrix(TM) , names nformat(number_d5)
		
putexcel set "Graphs/SToWSESFtest.xlsx", sheet("Egypt Females") modify
putexcel A1=matrix(EF) , names nformat(number_d5)

putexcel set "Graphs/SToWSESFtest.xlsx", sheet("Jordan Females") modify
putexcel A1=matrix(JF) , names nformat(number_d5)

putexcel set "Graphs/SToWSESFtest.xlsx", sheet("Tunisian Females") modify
putexcel A1=matrix(TF) , names nformat(number_d5)
